import type { Metadata } from 'next';
import { ResumeHeader } from '@/components/Resume/ResumeHeader';
import { EducationSection } from '@/components/Resume/EducationSection';
import { ExperienceSection } from '@/components/Resume/ExperienceSection';
import { CertificationsSection } from '@/components/Resume/CertificationsSection';
import { SkillsSection } from '@/components/Resume/SkillsSection';

export const metadata: Metadata = {
  title: 'Resume - Charlotte Croce',
  description: 'Charlotte Croce - Resume',
};

export default function Resume() {
  return (
    <div className="container">
      <section className="intro">
        <ResumeHeader />
      </section>
      <EducationSection />
      <ExperienceSection />
      <CertificationsSection />
      <SkillsSection />
    </div>
  );
}