interface Position {
    title: string;
    dateRange: string;
    responsibilities: string[];
  }
  
  interface ExperienceItemProps {
    experience: {
      company: string;
      location: string;
      positions: Position[];
    };
  }
  
  export function ExperienceItem({ experience }: ExperienceItemProps) {
    return (
      <div className="experience-item">
        <div className="experience-header">
          <h3>{experience.company}</h3>
          <span className="location">{experience.location}</span>
        </div>
        
        {experience.positions.map((position, index) => (
          <div key={index}>
            <div className="experience-header">
              <div className="job-title">{position.title}</div>
              <span className="date">{position.dateRange}</span>
            </div>
            {position.responsibilities.length > 0 && (
              <ul className="bullet-list">
                {position.responsibilities.map((responsibility, respIndex) => (
                  <li key={respIndex}>{responsibility}</li>
                ))}
              </ul>
            )}
          </div>
        ))}
      </div>
    );
  }